Skip to content
Start here

Fetch details of a session

client.realtimeKit.sessions.getSessionDetails(stringappId, stringsessionId, SessionGetSessionDetailsParams { account_id, include_breakout_rooms } params, RequestOptionsoptions?): SessionGetSessionDetailsResponse { data, success }
GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}

Returns data of the given session ID including recording details.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
sessionId: string
params: SessionGetSessionDetailsParams { account_id, include_breakout_rooms }
account_id: string

Path param: The account identifier tag.

maxLength32
include_breakout_rooms?: boolean

Query param: List all breakout rooms

ReturnsExpand Collapse
SessionGetSessionDetailsResponse { data, success }
data?: Data { session }
session?: Session { id, associated_id, created_at, 12 more }
id: string

ID of the session

associated_id: string

ID of the meeting this session is associated with. In the case of V2 meetings, it is always a UUID. In V1 meetings, it is a room name of the form abcdef-ghijkl

created_at: string

timestamp when session created

live_participants: number

number of participants currently in the session

max_concurrent_participants: number

number of maximum participants that were in the session

meeting_display_name: string

Title of the meeting this session belongs to

minutes_consumed: number

number of minutes consumed since the session started

organization_id: string

App id that hosted this session

started_at: string

timestamp when session started

status: "LIVE" | "ENDED"

current status of session

One of the following:
"LIVE"
"ENDED"
type: "meeting" | "livestream" | "participant"

type of session

One of the following:
"meeting"
"livestream"
"participant"
updated_at: string

timestamp when session was last updated

breakout_rooms?: Array<unknown>
ended_at?: string

timestamp when session ended

meta?: unknown

Any meta data about session.

success?: boolean

Fetch details of a session

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.sessions.getSessionDetails('app_id', 'session_id', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.data);
{
  "data": {
    "session": {
      "id": "id",
      "associated_id": "associated_id",
      "created_at": "created_at",
      "live_participants": 0,
      "max_concurrent_participants": 0,
      "meeting_display_name": "meeting_display_name",
      "minutes_consumed": 0,
      "organization_id": "organization_id",
      "started_at": "started_at",
      "status": "LIVE",
      "type": "meeting",
      "updated_at": "updated_at",
      "breakout_rooms": [
        {}
      ],
      "ended_at": "ended_at",
      "meta": {}
    }
  },
  "success": true
}
Returns Examples
{
  "data": {
    "session": {
      "id": "id",
      "associated_id": "associated_id",
      "created_at": "created_at",
      "live_participants": 0,
      "max_concurrent_participants": 0,
      "meeting_display_name": "meeting_display_name",
      "minutes_consumed": 0,
      "organization_id": "organization_id",
      "started_at": "started_at",
      "status": "LIVE",
      "type": "meeting",
      "updated_at": "updated_at",
      "breakout_rooms": [
        {}
      ],
      "ended_at": "ended_at",
      "meta": {}
    }
  },
  "success": true
}